python-optcomplete_1.2-11.1_all.deb


Advertisement

Description

python-optcomplete - provide bash-completion for Python programs

Distribution: Debian 7 (Wheezy)
Repository: Debian Main amd64
Package name: python-optcomplete
Package version: 1.2
Package release: 11.1
Package architecture: all
Package type: deb
Installed size: 176 B
Download size: 24.95 KB
Official Mirror: ftp.br.debian.org
provides almost automatically shell completion for any Python program that uses the optparse module.

Alternatives

Provides

  • python2.6-optcomplete
  • python2.7-optcomplete

    Download

    Source package: optcomplete

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install python-optcomplete deb package:
      # sudo apt-get install python-optcomplete

    Files

    • /etc/bash_completion.d/optcomplete
    • /usr/lib/python2.6/dist-packages/optcomplete-1.2.egg-info
    • /usr/lib/python2.6/dist-packages/optcomplete.py
    • /usr/lib/python2.7/dist-packages/optcomplete-1.2.egg-info
    • /usr/lib/python2.7/dist-packages/optcomplete.py
    • /usr/share/doc/python-optcomplete/README
    • /usr/share/doc/python-optcomplete/TODO
    • /usr/share/doc/python-optcomplete/changelog.Debian.gz
    • /usr/share/doc/python-optcomplete/changelog.gz
    • /usr/share/doc/python-optcomplete/conditional.html
    • /usr/share/doc/python-optcomplete/conditional.txt
    • /usr/share/doc/python-optcomplete/copyright
    • /usr/share/doc/python-optcomplete/index.html
    • /usr/share/doc/python-optcomplete/sample-output.html
    • /usr/share/doc/python-optcomplete/sample-output.txt.gz
    • /usr/share/doc/python-optcomplete/examples/bashrc
    • /usr/share/doc/python-optcomplete/examples/optcomplete-commands.gz
    • /usr/share/doc/python-optcomplete/examples/optcomplete-conditional
    • /usr/share/doc/python-optcomplete/examples/optcomplete-simple
    • /usr/share/doc/python-optcomplete/examples/optparse-commands.gz
    • /usr/share/pyshared/optcomplete-1.2.egg-info
    • /usr/share/pyshared/optcomplete.py

    Changelog

    2011-05-08 - Piotr O┼╝arowski <piotr@debian.org> optcomplete (1.2-11.1) unstable; urgency=low * Non-maintainer upload. * Rebuild to add Python 2.7 support

    2011-03-09 - Bastian Kleineidam <calvin@debian.org> optcomplete (1.2-11) unstable; urgency=low * Switch from cdbs to dh. * Replace dh_pycentral with dh_python2 (Closes: #616930) * Use Standards version 3.9.1 * Use Debian 3.0 source format.

    2009-08-13 - Bastian Kleineidam <calvin@debian.org> optcomplete (1.2-10) unstable; urgency=low * Remove debian/watch file since upstream releases are now only tags in the Mercurial (hg) repository * Add Vcs-Browser and Vcs-Hg fields to debian/control * Use Standards version 3.8.2 in debian/control

    2009-01-04 - Bastian Kleineidam <calvin@debian.org> optcomplete (1.2-9) unstable; urgency=low * Use Standards version 3.8.0 * Use debhelper v7 * Added ${misc:Depends}

    2008-03-14 - Bastian Kleineidam <calvin@debian.org> optcomplete (1.2-8) unstable; urgency=low * New Standards version 3.7.3 * Use debhelper v6 * Use cdbs * All lintian warnings are fixed in this release.

    2007-08-09 - Bastian Kleineidam <calvin@debian.org> optcomplete (1.2-7) unstable; urgency=low * Adjust debian/watch file for changed directory layout. (Closes: #450383) * Move Homepage into control field.

    2006-10-26 - Bastian Kleineidam <calvin@debian.org> optcomplete (1.2-6) unstable; urgency=low * Make the packaging independent from python version(s). Patch from Matthias Klose (Closes: #394528) * Bump build-dep of python-central to >= 0.5

    2006-06-14 - Bastian Kleineidam <calvin@debian.org> optcomplete (1.2-5) unstable; urgency=low * Use python-central to build package, eliminating all but one remaining package, namely python-optcomplete. (Closes: #373471)

    2006-01-03 - Bastian Kleineidam <calvin@debian.org> optcomplete (1.2-4) unstable; urgency=low * added debian/watch file for uscan

    2005-12-18 - Bastian Kleineidam <calvin@debian.org> optcomplete (1.2-3) unstable; urgency=low * Standards version 3.6.2.1 (no changes required) * Use debhelper v5 * fix lintian warning 'script-not-executable'

    Advertisement
    Advertisement